Summary:	The uucp utility for copying files between systems
Name:		uucp
Version:	1.07
Release:	%mkrel 22
License:	GPLv2
Group:		Networking/File transfer
URL:		https://www.airs.com/ian/uucp.html
Source0:	ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.bz2
Source1:	uucp.log
Source2:	uucp-tmpfiles.conf
Patch0:		uucp-1.07-misc.patch
Patch7:		uucp-1.07-64bit-fixes.patch
Patch8:		uucp-1.07-config.patch
Patch9:		uucp-1.07-sigfpe.patch
Patch11:	uucp-1.06.1-pipe.patch
Patch12:	uucp-1.07-printf.patch
Patch13:	uucp-configure-c99.patch
# Fix FTBFS due to incompatible types
Patch14:	uucp-1.07-fix-types.patch
BuildRequires:	texinfo
Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper

%description
The uucp command copies files between systems.  Uucp is primarily used
by remote machines downloading and uploading email and news files to
local machines.

Install the uucp package if you need to use uucp to transfer files
between machines.

%prep
%autosetup -p1

%build
%configure	--with-newconfigdir=%{_sysconfdir}/%{name} \
		--with-oldconfigdir=%{_sysconfdir}/%{name}
%make_build 

%install
%make_install install-info

mkdir -p %{buildroot}/var/spool/uucp
mkdir -p %{buildroot}/var/spool/uucppublic
mkdir -p %{buildroot}%{_sysconfdir}/uucp/oldconfig

rm -rf %{buildroot}/var/log/uucp
mkdir -p %{buildroot}/var/log/uucp

mkdir -p %{buildroot}%{_libdir}/uucp
ln -sf ../../sbin/uucico %{buildroot}%{_libdir}/uucp

install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/logrotate.d/uucp
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# Create ghost files
touch %{buildroot}/var/log/uucp/{Log,Stats,Debug}

# the following is kind of gross, but it is effective
for i in dial passwd port dialcode sys call ; do
cat > %{buildroot}/etc/uucp/$i <<EOF 
# This is an example of a $i file. This file have the syntax compatible
# with Taylor UUCP (not HDB nor anything else). Please check uucp
# documentation if you are not sure how Taylor config files are supposed to 
# look like. Edit it as appropriate for your system.

# Everything after a '#' character is a comment.
EOF
done

%post
%_tmpfilescreate %{name}
# These permissions have to be synced with below %%files
%create_ghostfile /var/log/uucp/Log uucp uucp 644
%create_ghostfile /var/log/uucp/Stats uucp uucp 644
%create_ghostfile /var/log/uucp/Debug uucp uucp 640

%files
%doc README ChangeLog NEWS
%doc sample contrib
%attr(-,uucp,uucp) %dir /var/spool/uucp
%attr(-,uucp,uucp) %dir /var/spool/uucppublic
%attr(755,uucp,uucp) %dir %{_sysconfdir}/uucp
%{_infodir}/uucp.info*
%{_sbindir}/uuchk
%{_sbindir}/uuconv
%{_sbindir}/uusched
%attr(6555,uucp,uucp) %{_sbindir}/uucico
%attr(6555,uucp,uucp) %{_sbindir}/uuxqt
%attr(-,uucp,uucp) %{_bindir}/*
%{_mandir}/*/*
%dir %{_libdir}/uucp
%{_libdir}/uucp/uucico
%{_tmpfilesdir}/%{name}.conf
%attr(-,uucp,uucp) %dir /var/log/uucp
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/uucp
%attr(644,uucp,uucp) %ghost /var/log/uucp/Log
%attr(644,uucp,uucp) %ghost /var/log/uucp/Stats
%attr(600,uucp,uucp) %ghost /var/log/uucp/Debug
%config(noreplace) %{_sysconfdir}/uucp/dial
%config(noreplace) %{_sysconfdir}/uucp/dialcode
%config(noreplace) %{_sysconfdir}/uucp/port
%config(noreplace) %{_sysconfdir}/uucp/passwd
%config(noreplace) %{_sysconfdir}/uucp/sys
%config(noreplace) %{_sysconfdir}/uucp/call



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.07-22.mga10
+ Revision: 2229499
- Mageia 10 Mass Rebuild

* Thu Oct 24 2024 daviddavid <daviddavid> 1.07-21.mga10
+ Revision: 2111035
- add fedora patches to fix build with GCC 14

* Mon Mar 14 2022 umeabot <umeabot> 1.07-20.mga9
+ Revision: 1791001
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.07-19.mga8
+ Revision: 1488969
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 1.07-18.mga7
+ Revision: 1256473
- rely on filetriggers for info system (mga#23482)

* Fri Jan 22 2016 daviddavid <daviddavid> 1.07-17.mga6
+ Revision: 926420
- switch to %%configure2_5x to fix build

* Fri Oct 23 2015 tv <tv> 1.07-16.mga6
+ Revision: 894649
- do not strip thus fixing debuginfo
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.07-15.mga5
+ Revision: 746693
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.07-14.mga5
+ Revision: 690111
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.07-13.mga4
+ Revision: 522682
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.07-12.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Jan 18 2013 colin <colin> 1.07-11.mga3
+ Revision: 389414
- Use tmpfiles.d for runtime dir creation.
- Use buildroot macro.
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 misc <misc> 1.07-10.mga1
+ Revision: 93831
- fix License
- increase release to match the one of mandriva ( for upgrade )

* Sat Feb 12 2011 bcornec <bcornec> 1.07-1.mga1
+ Revision: 50935
- Created package structure for uucp.

